﻿CREATE TABLE MyTable ( str_col VARCHAR( 100 ) )

CREATE TABLE InternationalTable (
        japanese_text VARCHAR(4000) COLLATE 'jaJP')

--Unclosed string literal
CREATE TABLE InternationalTable (
        japanese_text VARCHAR(4000) COLLATE 'jaJP)

CREATE TABLE Customer (
  number VARCHAR(40)  NOT NULL,
  name   VARCHAR(100) NOT NULL,
  ssn    VARCHAR(50)  NOT NULL,
  age    INTEGER      NOT NULL,
    
  CONSTRAINT cust_pk PRIMARY KEY (number),
  UNIQUE ( ssn ),             /* (An anonymous constraint) */
  CONSTRAINT age_check CHECK (age >= 0 AND age < -20.01e+10 )
)

-- One-line comment

ALTER CREATE TABLE table
  ( col1 INTEGER NOT NULL UNIQUE,
    col2 NUMERIC,
    col3 VARCHAR(90000) )

 GRANT SELECT ON TABLE MyTable TO toby

CREATE TABLE example(
id INT NOT NULL AUTO_INCREMENT, 
PRIMARY KEY(id),
 name VARCHAR(30), 
 age INT)


SELECT t1.name, t2.salary FROM employee AS t1, info AS t2
  WHERE t1.name = t2.name;

SELECT t1.name, t2.salary FROM employee t1, info t2
  WHERE t1.name = t2.name;

SELECT college, region, seed FROM tournament
  ORDER BY region, seed;

SELECT COUNT(col1) AS col2 FROM t GROUP BY col2 HAVING col2 = 2;

SET @skip=1; SET @numrows=5;
PREPARE STMT FROM 'SELECT * FROM tbl LIMIT ?, ?';
EXECUTE STMT USING @skip, @numrows;


SELECT a,b,a+b INTO OUTFILE '/tmp/result.txt'
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  LINES TERMINATED BY '\n'
  FROM test_table;

SELECT
SUM(IF(beta_idx=1, beta_value,0)) as beta1_value,
SUM(IF(beta_idx=2, beta_value,0)) as beta2_value,
SUM(IF(beta_idx=3, beta_value,0)) as beta3_value
FROM alpha JOIN beta WHERE alpha_id = beta_alpha_id;


LOCK TABLES foo READ;
SELECT FLOOR(RAND() * COUNT(*)) AS rand_row FROM foo;
SELECT * FROM foo LIMIT rand_row, 1;
UNLOCK TABLES;

SELECT dienst.dienst, dienst.url, dienst.info, dienst_prijs.dienst_eenheid, dienst_prijs.prijs, dienst_prijs.inc_btw, dienst_prijs.dienst_optie,
CASE dienst_prijs.prijs
WHEN dienst_prijs.prijs = '0.00' THEN 1000
WHEN dienst_prijs.prijs > '0.00' THEN 10
ELSE NULL
END AS orderme
FROM dienst, dienst_prijs
WHERE dienst.taal = 'nl' &&
dienst.dienst_type = 'Internet toegang' &&
dienst.dienst != 'alle diensten' &&
dienst.publiceer != '' &&
dienst_prijs.dienst_eenheid IN ( 'maand', 'jaar' ) &&
dienst.dienst = dienst_prijs.dienst
ORDER BY orderme, dienst_prijs.prijs


